Bug 1311444 - SELinux prevents systemd-networkd from writing to /dev/kmsg
Summary: SELinux prevents systemd-networkd from writing to /dev/kmsg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 23
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1298151
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-24 09:38 UTC by Lukas Vrabec 🐦
Modified: 2016-03-05 06:22 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-158.8.fc23 selinux-policy-3.13.1-158.9.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of: 1298151
Environment:
Last Closed: 2016-03-05 06:22:57 UTC


Attachments (Terms of Use)

Comment 1 Lukas Vrabec 🐦 2016-02-25 17:14:54 UTC
commit 3bca93a2882fdb7bc12a4040c209ae12d4becf35
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Feb 25 18:12:36 2016 +0100

    Allow systemd_networkd_t to write kmsg, when kernel was started with following params:
    systemd.debug systemd.log_level=debug systemd.log_target=kmsg
    rhbz#1311444

Comment 2 Fedora Update System 2016-02-27 13:50:31 UTC
selinux-policy-3.13.1-158.9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870

Comment 3 Fedora Update System 2016-02-28 13:54:22 UTC
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870

Comment 4 Fedora Update System 2016-03-05 06:22:03 UTC
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.